<template>
  <section class="cards-wrapper">
    <div v-for="(user, index) in userList" :key="index">
      <UserBox
        class="user-box"
        @go-to-this-user-details="goTOUserDetails"
        @go-to-messages="goToMessages"
        :userBoxDetails="user"
      />
    </div>
  </section>

  <!-- 
  <div>
    <h1>LISTA DE USUARIOS</h1>
    <v-container>
      <v-row>
        <v-col
          cols="12"
          sm="6"
          md="3"
          class="user-boxes"
          v-for="(user, index) in userList"
          :key="index"
        >
          <UserBox
            class="user-box"
            @go-to-this-user-details="goTOUserDetails"
            @go-to-messages="goToMessages"
            :userBoxDetails="user"
          />
        </v-col>
      </v-row>
    </v-container>
  </div>-->
</template>

<script>
import UserBox from './UserBox.vue'
import API from '@/API.js'
export default {
  name: 'UserList',
  components: {
    UserBox
  },
  props: {},
  data() {
    return {
      idActualUser: this.$route.params.idActualUser,
      userList: []
    }
  },
  mounted: function() {
    this.PutResultLoadUserListEnData()
  },
  methods: {
    async PutResultLoadUserListEnData() {
      this.userList = await API.loadUserList()
    },

    goTOUserDetails(id_user) {
      this.$router.push('/user-profile/' + this.idActualUser + '/' + id_user)
    },

    goToMessages(id_user) {
      this.$router.push('/MessengerPage/' + this.idActualUser + '/' + id_user)
    }
  }
}
</script>

<style scoped>
.grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  /* row-gap: 16rem; */
  column-gap: 12rem;
  place-items: center;
  margin-top: -27%;
}

.grid > div {
  padding: 1rem;
  display: grid;
  place-items: center;
}
.grid > div::before {
  content: '';
  padding-top: 100%;
  display: block;
  grid-area: 1 / 1 / 2 / 2;
}
.user-boxes {
  height: 1%;
  cursor: pointer;
}

.cards-wrapper {
  display: grid;
  justify-content: center;
  align-items: center;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-gap: 4rem;
  padding: 4rem;
  margin: 0 auto;
  width: max-content;
}

@media screen and (max-width: 1285px) {
  .cards-wrapper {
    grid-template-columns: 1fr 1fr;
  }
}
@media screen and (max-width: 900px) {
  .cards-wrapper {
    grid-template-columns: 1fr;
  }
  .info {
    justify-content: center;
  }
  .card-grid-space .num {
    /margin-left: 0;
    /text-align: center;
  }
}
@media screen and (max-width: 500px) {
  .cards-wrapper {
    padding: 4rem 2rem;
  }
  .card {
    max-width: calc(100vw - 4rem);
  }
}

/* .grid > div > img {
  width: 100%;
  grid-area: 1 / 1 / 2 / 2;
} */
</style>
